//
// Created by sebastian on 12.02.26.
//

#include "GUIText.h"

#include <utility>

GUIText::GUIText(Font &font, std::string text, Dimensions &d): font(font), text(std::move(text)), d(d) {
}

glm::vec2 GUIText::getPosition() const {
    return {d.x, d.y};
}

glm::vec2 GUIText::getSize() const {
    return {d.width, d.height};
}

Font & GUIText::getFont() const {
    return font;
}

std::string GUIText::getText() const {
    return text;
}
